Subject: Re: bug#11718: 24.1.50; `all-completions' returns results with wrong case

From: [email-masked]
Date: Fri, 08 Jul 2016 19:17:38 -0400

found 11718 24.3
tags 11718 fixed
close 11718 24.4
quit

Michael Heerdegen <[email-masked]> writes:

> Hello,
>
> I use emacs-snapshot on Debian Linux ("GNU Emacs 24.1.50.1
> (i486-pc-linux-gnu, GTK+ Version 3.4.2)\n of 2012-06-14 on zelenka,
> modified by Debian").
>
> I have a directory "~/Trash".  If I eval
>
>    (let ((completion-ignore-case t))
>      (all-completions "~/tra" 'read-file-name-internal 
>                       'file-exists-p nil))
>
> in emacs -Q, I get
>
>   (#("trash/" 0 3 (face completions-common-part)))
>
> Note the wrong lower case of the result.  In Emacs 23, however, I get
>
>   ("Trash/")

Emacs 24.3 gives (#("trash/" 0 3 (face completions-common-part)))
Emacs 24.4 gives (#("Trash/" 0 3 (face completions-common-part)))